#
# spec file for package tux (Version 2.0.26)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  docbook-dsssl-stylesheets docbook_3 glib glib-devel jade_dsl popt sp sp-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils docbook-dsssl-stylesheets docbook_3 e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel gpm gppshare grep groff gzip jade_dsl kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl popt ps rcs readline rpm sendmail sh-utils shadow sp sp-devel strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         tux
Copyright:    Copyright (C) 2000, 2001 Red Hat, Inc.
Group:        Networking/Daemons
Provides:     tux
Autoreqprov:  on
Summary:      Multithreaded kernel based webserver
Version:      2.0.26
Release:      86
Source:       tux-%{version}.tar.gz
Patch:        tux-%{version}.dif
BuildRoot:    %{_tmppath}/%{name}-root
%prep
%setup -n tux-%{version}
%patch

%build
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
mkdir -p $RPM_BUILD_ROOT/var/adm/fillup-templates
mkdir -p $RPM_BUILD_ROOT/etc/rc.config.d
mkdir -p $RPM_BUILD_ROOT/etc/init.d
mkdir -p $RPM_BUILD_ROOT/sbin
install -m 644 rc.config.tux $RPM_BUILD_ROOT/var/adm/fillup-templates/rc.config.tux
install -m 644 tux.sysconfig $RPM_BUILD_ROOT/var/adm/fillup-templates/rc.config.d.tux
make TOPDIR=$RPM_BUILD_ROOT install
ln -sf ../etc/init.d/tux $RPM_BUILD_ROOT/sbin/rctux

%post
echo "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then
  if ! [ -d etc/rc.config.d ] ; then
     mkdir -p etc/rc.config.d
  fi
  if ! [ -f etc/rc.config.d/tux.rc.config ] ; then
     bin/fillup -q -r -i etc/rc.config \
            var/adm/fillup-templates/rc.config.d.tux \
            etc/rc.config.d/tux.rc.config
     mv etc/rc.config.new etc/rc.config
  else
     bin/fillup -q etc/rc.config.d/tux.rc.config \
            var/adm/fillup-templates/rc.config.d.tux
  fi
  bin/fillup -q etc/rc.config var/adm/fillup-templates/rc.config.tux
  echo "Done."
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "etc/rc.config and var/adm/fillup-templates/rc.config.tux and"
  echo "update by hand."
fi
sbin/insserv etc/init.d/tux

%postun
sbin/insserv etc/init.d/

%files
%config(noreplace) /etc/tux.mime.types
/etc/init.d/tux
/sbin/rctux
%dir /var/tux
/usr/sbin/tux
/usr/sbin/tux2w3c
%doc %{_mandir}/man2/tux.2.gz
/usr/include/tux.h
/usr/include/tuxmodule.h
/var/adm/fillup-templates/rc.config.tux
/var/adm/fillup-templates/rc.config.d.tux
%doc NEWS SUCCESS docs samples tux.README

%description
TUX is a http-daemon (webserver) for Linux. TUX is different from
other webservers in that it runs partially from within the
Linux-kernel as a module (device driver).

Authors:
--------
    Ingo Molnar <mingo@redhat.com>

SuSE series: n


%changelog -n tux
* Mon Aug 13 2001 - ro@suse.de
- changed neededforbuild <sp_libs> to <sp-devel>
* Tue Jul 17 2001 - choeger@suse.de
- bugfix: init-script not LSB compliant, Bugzilla ID#9107
* Mon Jun 04 2001 - kukuk@suse.de
- set define for LARGEFILE support
* Mon May 07 2001 - choeger@suse.de
- fixed Copyright information
* Thu May 03 2001 - choeger@suse.de
- first check in, v2.0.26
